Skip to content
Proud to collaborate with Microsoft for Startups

argocd.cluster.update ​

Update updates a cluster

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-argocd
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
id_valuestringYes—value holds the cluster server URL or cluster name
annotationsjsonNo——
clusterresourcesbooleanNo—Indicates if cluster level resources should be managed. This setting is used only if cluster is connected in a namespaced mode.
configjsonNo—ClusterConfig is the configuration attributes. This structure is subset of the go-client rest.Config with annotations added for marshalling.
connectionstatejsonNo——
infojsonNo——
labelsjsonNo——
namestringNo——
namespaceslistNo—Holds list of namespaces which are accessible in that cluster. Cluster level resources will be ignored if namespace list is not empty.
projectstringNo——
refreshrequestedatstringNo—Time is a wrapper around time.Time which supports correct marshaling to YAML and JSON. Wrappers are provided for many of the factory methods that the time package offers. +protobuf.options.marshal=false +protobuf.as=Timestamp +protobuf.options.(gogoproto.goproto_stringer)=false
serverstringNo——
serverversionstringNo——
shardintegerNo—Shard contains optional shard number. Calculated on the fly by the application controller if not specified.
updatedfieldslistNo——
id_typestringNo—type is the type of the specified cluster identifier ( "server" - default, "name" ).

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Argocd API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
id_valuestringYes—value holds the cluster server URL or cluster name
annotationsjsonNo——
clusterresourcesbooleanNo—Indicates if cluster level resources should be managed. This setting is used only if cluster is connected in a namespaced mode.
configjsonNo—ClusterConfig is the configuration attributes. This structure is subset of the go-client rest.Config with annotations added for marshalling.
connectionstatejsonNo——
infojsonNo——
labelsjsonNo——
namestringNo——
namespaceslistNo—Holds list of namespaces which are accessible in that cluster. Cluster level resources will be ignored if namespace list is not empty.
projectstringNo——
refreshrequestedatstringNo—Time is a wrapper around time.Time which supports correct marshaling to YAML and JSON. Wrappers are provided for many of the factory methods that the time package offers. +protobuf.options.marshal=false +protobuf.as=Timestamp +protobuf.options.(gogoproto.goproto_stringer)=false
serverstringNo——
serverversionstringNo——
shardintegerNo—Shard contains optional shard number. Calculated on the fly by the application controller if not specified.
updatedfieldslistNo——
id_typestringNo—type is the type of the specified cluster identifier ( "server" - default, "name" ).
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /api/v1/clusters/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /api/v1/clusters/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "argocd.cluster.update",
  "initial_data": {
    "base_url": "value",
    "id_value": "value"
  }
}